import type { languages, editor } from "monaco-editor";
import { type TypeSchema } from "@nlighten/json-schema-utils";
type TypeMap = Record<string, TypeSchema>;
export type JsonTransformHoverProviderFactoryOptions = {
    /**
     * Get a map from json-path to its type schema
     * @param model The model the type map belongs to
     */
    getTypeMap?: (model: editor.ITextModel) => TypeMap;
    dontRegisterDocsCommand?: boolean;
    dontShowDocsLink?: boolean;
};
export declare const jsonTransformHoverProviderFactory: (options: JsonTransformHoverProviderFactoryOptions) => languages.HoverProvider;
/**
 * Add tokens hover information for JSON transformers
 * @param monaco
 * @param options
 */
export declare const registerJsonTransformHoverProvider: (monaco: {
    languages: typeof languages;
    editor: typeof editor;
}, options: JsonTransformHoverProviderFactoryOptions) => void;
export {};
//# sourceMappingURL=jsonTransformerHoverProvider.d.ts.map